package com.realnet.test.Services;
import com.realnet.test.Repository.TestRepository;
import com.realnet.test.Entity.Test
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class TestService {
@Autowired
private TestRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Test Savedata(Test data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Test save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Test> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Test> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Test> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Test getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Test update(Test data,Integer id) {
	Test old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setPassword_field(data.getPassword_field());

final Test test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
